## org.hibernate.annotations
Annotation Type Fetch

    @Target(value={METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface Fetch

Define the fetching strategy used for the given association

Author:
  Emmanuel Bernard

Required Element Summary
`FetchMode` `value`

Element Detail

### value

    public abstract FetchMode value

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.